import { languageStore } from "@shared";
import axios from "axios";

const authInstance = axios.create({
  baseURL: "https://wn.krbl.ru",
});

authInstance.interceptors.request.use((config) => {
  config.headers.Authorization = `Bearer ${localStorage.getItem("token")}`;
  config.headers["X-Language"] = languageStore.language ?? "ru";
  return config;
});

export { authInstance };
